geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Faw <fawzib.ro...@gmail.com>
Subject Re: Deploy cocoon 2.2 in geronimo
Date Fri, 10 Sep 2010 21:23:54 GMT

> Do you have a pointer to a war file (sample app) that exhibits this
problem?

This is the created war: http://www.megaupload.com/?d=EI0ZMKRQ

Simple test war I made using the m2eclipse plugin. I don't know if it is
build correctly (since i cant test it). I just created a maven project, used
the cocoon22-webapp archetype, created a block using the cocoon22-block
archetype, installed the block, set dependency on webapp, packaged webapp
(all jar files are in the WEB-INF/lib including the block one)


>Are you sure that the war file contains WEB-INF/applicationContext.xml and
the xml file is not in a 
>different location?

I opened the war with 7zip and the file is there.

>You can be sure there's not interference between the version of spring
packaged in your war file 
>and the version of spring used by geronimo, you can try the following
deployment plan (e.g. 
>./deploy.sh deploy <your-app> nospring.xml). Where nospring.xml contains:

Version in war is different from geronimo (war=2.5.1, geronimo=3.0.3), tried
the deployment file but just get a generic "deployment failed" exception.
BTW im using windows, deploying using the deployment page in geronimo.
-- 
View this message in context: http://apache-geronimo.328035.n3.nabble.com/Deploy-cocoon-2-2-in-geronimo-tp1452716p1455043.html
Sent from the Users mailing list archive at Nabble.com.

Mime
View raw message